Page MenuHomePhabricator

Fixing broken builds
ClosedPublic

Authored by ravitheja on May 26 2017, 6:52 AM.

Details

Reviewers
labath
clayborg
Summary

For the differential D32585, size_t was incorrectly used
where uint64_t should have been used.

Event Timeline

ravitheja created this revision.May 26 2017, 6:52 AM
labath requested changes to this revision.May 26 2017, 6:57 AM

I had just committed a fix for that. You simply shouldn't have explicitly specified the template arg in the GetValueAsInteger calls. If you still want to make these uint64_t (I don't think it's necessary, as you won't be able to allocate more memory than size_t anyway), then we can do that, but then you should change the numeric_limits type as well.

This revision now requires changes to proceed.May 26 2017, 6:57 AM
ravitheja updated this revision to Diff 100405.May 26 2017, 7:31 AM
ravitheja edited edge metadata.

Using uint64_t everywhere.

@labath Thanx for fixing the 32 bit builds, I am sorry for the trouble caused.

labath accepted this revision.May 31 2017, 6:47 AM

I don't see a reason to change, but I don't mind it either.

This revision is now accepted and ready to land.May 31 2017, 6:47 AM
ravitheja closed this revision.Jun 29 2017, 4:57 AM